---
id: log-specification-read
title: Read log specification
description: Retrieve a specific log specification by its ID.
sidebar_label: Read log specification
hide_title: true
hide_table_of_contents: true
api: >-
  eJzdVttu5DYM/RWBT7uA55Jk0rR+S7PbNkUfgmyCLpAEAUfi2NqVJUeis0kH/veCtjPXoF0s0BboPHhsgSIPDw8lLiGRbqLlZ8hvljAnjBRPGy4hv7lr7zJgLBLkN/BbKFSqSduF1cg2eLjL4GnkG+dqh7wIsYJ8CTpUFXpz77EiyGHiQjHZ3tZmYCjpaOvuM4dL4mjpkRSuAii3G03Nn5XlpM7fjSGDUFPsls8N5OBCcb9lnEdCAxnUGLEippi65KxEq5FLyGDAZ8Us0kNjIxnIOTaUQdIlVSjZ8HMtVomj9cU+8quSVOPtQ0Pq/J0KC8UlvQKdg2pqg0wCnZ6wqp14XcxOUB9M56Pj77UezY5ODkd4/N3JaErTw/mhPjKzkx9AShAp1cEnSgLpcDqVv30gK07UF0wqNVpTSovGjQX37OPH/V1nzpJnRTGGqFZBlGlIIFv/iM4aZX3dsApRVTYl6wu1ZlXy0cEzeRbvWNduyHnyKUmI5T6XYf6JNG+xfgOJkZt0FgwJQ4IHMqgoJSxIdFZHyY5tT8GG9dqv9UwFyb7tJH+5urpQ/Q6lgyEVqY6UyLPkIgVbiU5v8vGGxsU4U7PpVB4H8jiSx+ztVhVn02krJGxhGfSyC+VUVahL62kk+sS5oyFWh4tLZKWRqQjR/kGpx0bxkaJaoHVN3NHPHM29kEiJpcQ9bV8BYh4tLTJVNhX6NZINqxcl9+DE3Qsbt/AjGnXZB70FWbj22HDZQTa3sE3OprVAfKno34M0xsorOmWI0bqkcB4aXsPajiP6H6jo1F+hkwOJjOrY9YzWk1lJelPBbffL4Pi1DvnQ07/bIdabTue+UOiVTakhJX1ekjq9OFfJGvqftUbaJGIQw7G0xvH0UB5H24U//u+6QpKNHt19b3TfU/av9cf5EF4N0nkvNn2nyIrVpK49PqJ14nWvYV7d/o+2zqlXjaenmjSTGVIKWjcxkhmrC0eYSHF8Vlig9cohU3zpGmH1icknG3x/xX6mZ8h3x4IMHtE19JXjgdx4FXEZ5GoviLt7XOYRmEhDxSCOPa22TpbWtJBBX+8eRhMd5FAy1ymfTLC2401AYx2qPd4uYjCN7srbe+qu3pfh6IP0at9imyPSqhgSCobJoTubOyPIhpefQqyQIYdff78Coc36Rei2W+6qcNZnprrUhDCKqcd1MJ6Op6KAOiSusDs5BvYuCc3+uLGb2XJ9Dn3LqDUkyPTEk9qh7Qa4jt/lUJcb2KwLZDKPCRc1acggt0aOqTIkFtPlco6JrqNrW1l+aCjK5HknGolWeqIroLFJ3g3kC3SJ/iKlN5fDYflWfcs49mp6wyL657V2AbJB3dZAe9dmUBIaihuyP9Waat7Ysnfqb2n75/dXkAFuC2lHOJ33V+Esl73FVfhMvm1X6Fi+BWDb/glRwRf5
sidebar_class_name: get api-method
info_path: docs/api/control-plane
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/log-specification-read'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read log specification"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/controlplane/log/spec/{id}"}
  context={"endpoint"}
>

</MethodEndpoint>

Retrieve a specific log specification by its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The unique ID of the log specification to update.","example":"f47ac10b-58cc-4372-a567-0e02b2c3d479"}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful."},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>

</StatusCodes>

